/**
 * Copyright: Copyright (c) 2008 Jacob Carlborg. All rights reserved.
 * Authors: Jacob Carlborg
 * Version: Initial created: Jul 31, 2008
 * License: $(LINK2 http://opensource.org/licenses/bsd-license.php, BSD Style)
 * 
 */
module dwt.internal.cocoa.NSKeyValueObserving;

import dwt.internal.cocoa.NSInteger;

enum NSKeyValueObservingOptions : NSUInteger {
    NSKeyValueObservingOptionNew = 0x01,
    NSKeyValueObservingOptionOld = 0x02,
    NSKeyValueObservingOptionInitial = 0x04,
    NSKeyValueObservingOptionPrior = 0x08
}

alias NSKeyValueObservingOptions.NSKeyValueObservingOptionNew NSKeyValueObservingOptionNew;
alias NSKeyValueObservingOptions.NSKeyValueObservingOptionOld NSKeyValueObservingOptionOld;
alias NSKeyValueObservingOptions.NSKeyValueObservingOptionInitial NSKeyValueObservingOptionInitial;
alias NSKeyValueObservingOptions.NSKeyValueObservingOptionPrior NSKeyValueObservingOptionPrior;

enum NSKeyValueChange : NSUInteger {
    NSKeyValueChangeSetting = 1,
    NSKeyValueChangeInsertion = 2,
    NSKeyValueChangeRemoval = 3,
    NSKeyValueChangeReplacement = 4
}

alias NSKeyValueChange.NSKeyValueChangeSetting NSKeyValueChangeSetting;
alias NSKeyValueChange.NSKeyValueChangeInsertion NSKeyValueChangeInsertion;
alias NSKeyValueChange.NSKeyValueChangeRemoval NSKeyValueChangeRemoval;
alias NSKeyValueChange.NSKeyValueChangeReplacement NSKeyValueChangeReplacement;

enum NSKeyValueSetMutationKind : NSUInteger {
    NSKeyValueUnionSetMutation = 1,
    NSKeyValueMinusSetMutation = 2,
    NSKeyValueIntersectSetMutation = 3,
    NSKeyValueSetSetMutation = 4
}

alias NSKeyValueSetMutationKind.NSKeyValueUnionSetMutation NSKeyValueUnionSetMutation;
alias NSKeyValueSetMutationKind.NSKeyValueMinusSetMutation NSKeyValueMinusSetMutation;
alias NSKeyValueSetMutationKind.NSKeyValueIntersectSetMutation NSKeyValueIntersectSetMutation;
alias NSKeyValueSetMutationKind.NSKeyValueSetSetMutation NSKeyValueSetSetMutation;